"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x108179f70>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10817d040>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10817d0d0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10817d160>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10817d1f0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10817d280>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10817d310>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10817d3a0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10817d430>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10817d4c0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10817d550>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10817d5e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10817d670>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10817d700>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10817d790>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10817d820>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10817d8b0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10817d940>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10817d9d0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10817da60>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10817daf0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10817db80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10817dc10>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10817dca0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10817ddc0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10817dd30>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10817de50>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10817dee0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10817df70>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x108181040>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1081810d0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x108181160>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1081811f0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x108181280>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x108181310>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1081813a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x108181430>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1081814c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108181550>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1081815e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108181670>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x108181700>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x108181790>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x108181820>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1081818b0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x108181940>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1081819d0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108181a60>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108181af0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x108181b80>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x108181c10>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x108181ca0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x108181d30>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x108181dc0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x108181e50>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x108181ee0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x108181f70>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108185040>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1081850d0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x108185160>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1081851f0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x108185280>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x108185310>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1081853a0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x108185430>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1081855e0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1081854c0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x108185670>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x108185700>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108185790>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x108185820>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1081858b0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1081859d0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x108185940>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x108185a60>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x108185af0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x108185b80>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x108185ca0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x108185c10>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x108185d30>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x108185dc0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x108185e50>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x108185ee0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x108185f70>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x108188040>)]
name: str = 'fr_HOCCN'
